0

I tried installing the virtual key board as described here:

Virtual keyboard activation

on my RPI 3 model B Board

but it doesn't work at all

I get this when installing:

pi@raspberrypi:/ $ sudo apt-get install matchbox-keyboard
Reading package lists... Done
Building dependency tree        
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
matchbox-keyboard : Depends: libfakekey0 (>= 0.1) but it is not going to be installed
                 Recommends: matchbox-keyboard-im but it is not going to be installed
 python2.7 : Depends: python2.7-minimal (= 2.7.9-2+deb8u2) but 2.7.9-2+deb8u1 is to be installed
         Depends: libpython2.7-stdlib (= 2.7.9-2+deb8u2) but 2.7.9-2+deb8u1 is to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

I tried this:

pi@raspberrypi:/ $ apt-get -f install

E: Could not open lock file /var/lib/dpkg/lock - open (13: Permission denied)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?
pi@raspberrypi:/ $ 
2

Please look at the very last question: are you root?. That is what you get by prefixing your commands with sudo. So try your command with:

rpi ~$ sudo apt-get -f install
  • GREAT - it helped. I have a Keyboard now – eran reshef Jun 19 at 18:00
  • @eranreshef Glad to help you :-) It would be nice if you could accept the answer with a tick on the tick on the left side. It will finish the question and show others that it has a solution. – Ingo Jun 19 at 23:21

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.